Source: https://fyno.docs.pageloop.ai/api-reference/suppression-list/get-wsid-suppressions

# Get Suppression List

GET `https://api.fyno.io/v1/{WSID}/suppressions`

The Suppression List API enables you to manage users who should be excluded from receiving communications on specific channels.

This API enables you to retrieve the list of all suppressed users across various channels.

## Authorization

#### Authorization (header, string, required)

Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

## Path Parameters

#### WSID (path, string, required)

Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.

## Response

#### 200

Suppression list fetched.

#### \_id (string)

Unique identifier of the suppression record

#### destination (string)

Phone number or email of the suppressed user

#### distinct\_id (string)

Unique identifier (used as an alternative to destination)

#### channel (string)

Communication channel (e.g., sms, whatsapp, email)

#### description (string)

Reason or tag for suppression (e.g., "DND", "Testing").

#### created\_at (string)

Timestamp when the suppression was created

#### expiry\_ts (string)

Optional timestamp for expiration of suppression

#### 401

API Key or Workspace ID is invalid. User is unauthorised.

#### \_message (string, required)

#### status (string, required)

#### Request

```bash cURL
curl -X GET 'https://api.fyno.io/v1/{WSID}/suppressions' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.fyno.io/v1/{WSID}/suppressions', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.fyno.io/v1/{WSID}/suppressions',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
[
  {
    "_id": "68763be4b8cee01156d9fa8a",
    "destination": "919XXXXXXXX",
    "distinct_id": "XXXX-XXX-XXXX",
    "channel": "sms",
    "description": "DND",
    "created_at": "2025-07-15T16:20:16.302+05:30",
    "expiry_ts": "2025-07-15T16:25:16.302+05:30"
  }
]
```

```json 401
{
  "_message": "Invalid API details",
  "status": "error"
}
```
